Skip to main content
`Ctrl`+`K`

# TaoGetCurrentTrustRegionRadius

Gets the current trust region radius.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetCurrentTrustRegionRadius(Tao tao, PetscReal *radius)

Not Collective

## Input Parameter

- tao - a `Tao` optimization solver

## Output Parameter

- radius - the trust region radius

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetInitialTrustRegionRadius()`, `TaoGetInitialTrustRegionRadius()`, `TAONTR`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages